<div class="main-header">
    <h1>News API</h1>
</div>
<div class="main-body">
    <div class="subheader-container">
        <div class="pannel" *ngFor="let panel of panellist" [style.width]="panelwidth + '%'" (click)="(panelChange(panel))" >
            {{ panel }}
            <div [class.active]="panel==selectedpannel"></div>
        </div>
    </div>
    <div class="body-content"  [class.show]="!showloader">
        <span class="news-count">
            <img src="../../../assets/icons8-fire-30.png" alt=""> <span>{{newsData.totalResults}}</span>
        </span>
        <div class="news-card" *ngFor="let news of newsData.articles">
            <div class="text-container">
                <h1>{{news['title']}}</h1>
                <h5>News By: <span>{{news['author']}}</span></h5>
                <h5>News Date: <span>{{news['publishedAt'] | date :  "d MMM, y" }}</span></h5>
                <p>{{news['description']}}</p>
                <h4>Read more at <a href="{{news['url']}}">Academy</a></h4>
            </div>
            <div class="img-container">
                <img src="{{news['urlToImage']}}" alt="">
            </div>
        </div>
    </div>
</div>

<div class="loader" [class.show]="showloader">
    <img src="../../../assets/Spinner-1s-200px.gif" alt="">
    <h1>Please wait!</h1>
</div>